View Issue Details

IDProjectCategoryView StatusLast Update
0037548LazarusPackagespublic2020-09-05 10:13
ReporterCudaText man_ Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
OSmacOS 10.8 
Product Version2.1 (SVN) 
Summary0037548: Cocoa: SynEdit in IDE cannot render emoji chars correctly
DescriptionLaz trunk supports OS emoji dialog which is auto added to all apps in EDIT menu (inset special characters).
In IDE it now inserts emoji.
emojis are rendered with narrow width - as usual text. so half of emoji picture is invisible.
TagsNo tags attached.
Fixed in Revision63747
LazTarget-
WidgetsetCocoa
Attached Files

Relationships

has duplicate 0037586 assignedMartin Friebe Editing in source editor behind unicode symbols is problematic 

Activities

CudaText man_

2020-08-11 18:04

reporter  

Martin Friebe

2020-08-11 18:37

manager   ~0124774

Same on Win32

Martin Friebe

2020-08-15 18:10

manager   ~0124904

Updated the Half/Full Width info according to the unicode standard.

Note:
- SynEdit has its own hardcoded copy of the list. So it does not currently update, when there are new unicode chars.
- SynEdit does not handle "ambiguous" width chars.

Please test if that solves the issue on Cocoa.

Issue History

Date Modified Username Field Change
2020-08-11 18:04 CudaText man_ New Issue
2020-08-11 18:04 CudaText man_ File Added: macos-10.8-emoji-synedit.png
2020-08-11 18:36 Martin Friebe Assigned To => Martin Friebe
2020-08-11 18:36 Martin Friebe Status new => assigned
2020-08-11 18:37 Martin Friebe Note Added: 0124774
2020-08-15 18:10 Martin Friebe Status assigned => resolved
2020-08-15 18:10 Martin Friebe Resolution open => fixed
2020-08-15 18:10 Martin Friebe Fixed in Revision => 63747
2020-08-15 18:10 Martin Friebe LazTarget => -
2020-08-15 18:10 Martin Friebe Widgetset Cocoa => Cocoa
2020-08-15 18:10 Martin Friebe Note Added: 0124904
2020-08-17 16:28 Martin Friebe Relationship added has duplicate 0037586
2020-09-05 10:13 CudaText man_ Status resolved => closed